Subject: RE: iostreams won't work
From: [email-masked] (Colin Peters)

25 Apr 1997 08:18:22 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC515B.4A044980.cygnus.gnu-win32@gbird0>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "'Matthew Mueller'" <[email-masked]>
Original-Cc: "'GNU-Win32'" <[email-masked]>
Original-Sender: [email-masked]

Matthew Mueller[SMTP:[email-masked]] wrote:
>when I try to compile this program:
[snip: program using iostreams]
>I get this error:
>
>f:\prog\c32>gcc test.cpp
>C:\WIN95\TEMP/cc0010001.o(.text+0x1a):test.cc: undefined reference to `cout'
[snip: etc...]

Try "gcc test.cpp -liostreams" or "gcc test.cpp -lstdc++" to link in a
library which contains iostreams. They are not linked by default.

The actual strange thing is that g++ doesn't seem to link these by
default either (correct me if I'm wrong).

Colin.

-- Colin Peters - [email-masked]
-- Saga University Dept. of Information Science
-- http://www.fu.is.saga-u.ac.jp/~colin/index.html
-- http://www.geocities.com/Tokyo/Towers/6162/

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".